---
title: Options
---

# Options

<div class="documentation__toc"></div>

## Introduction

Form `options` help configure the behavior in general of the form. Anything from toggling specific UI on or off to adding a simple title and description can be done with the form options.

```php
protected $options = [
    'title'     => 'My awesome table!',
    'table_view' => 'module::my/custom/table'
];
```

You can also set options from the API.

```php
$builder->setOption('title', 'My awesome table!');
```

```twig
{{ table('test', 'example')
    .setOption('title', 'My awesome table!')
    .render()|raw
}}
```

### Available Options

|Key|Required|Type|Default|Description|
|--- |--- |--- |--- |--- |
|table_view|false|string|streams::table/table|The table view is the primary table layout view.|
|title|false|string|""|The table title.|
|wrapper_view|false|string|streams::blank|The wrapper view is the admin layout wrapper. This is the view you would override if you wanted to include a sidebar with your table for example.|
|permission|false|string|{vendor}.module.{module}::{stream}.read|The permission string required to access the table.|
|no_results_message|false|string|No Results.|The text shown when not results are found.|
|order_by|false|array|null|Set the default ordering of the results. e.g ['created_at' => 'desc']|
