---
title: Entries
---

# Entries

<div class="documentation__toc"></div>

### Introduction

The `entries` extends `query` functions to provide you with a convenient, fluent interface to fetch streams and non-streams database records respectively.

[Queries Function](../front-end-development/queries){.link}

### The Entries Function

The `entries` function starts a model criteria query for database records powered by Streams. Being that nearly everything is a stream this is your primary entry point to retrieving database records on the front-end.

[Entry Criteria](../entries/criteria){.link}

```twig
<ul>
    {% for category in entries('posts', 'categories').get() %}
    <li>
        {{ category.slug }}
    </li>
    {% endfor %}
</ul>
```

If the `namespace` and the `post` are the same you may provide the namespace only.

```twig
<ul>
    {% for post in entries('posts').recent().get() %}
    <li>
        {{ post.route('view') }}
    </li>
    {% endfor %}
</ul>
```


## Retrieving Results

[Queries Function - Retrieving Results](../front-end-development/queries#retrieving-results){.link}

## Pagination

[Queries Function - Pagination](../front-end-development/queries#pagination){.link}

## Caching

[Queries Function - Retrieving Results](../front-end-development/queries#caching){.link}

## Aggregates

[Queries Function - Retrieving Results](../front-end-development/queries#aggregates){.link}

## Where Clauses

[Queries Function - Retrieving Results](../front-end-development/queries#where-clauses){.link}

## JSON Where Clauses

[Queries Function - Retrieving Results](../front-end-development/queries#json-where-clauses){.link}

## Ordering, Grouping, Limit, & Offset

[Queries Function - Retrieving Results](../front-end-development/queries#ordering-grouping-limit-offset){.link}

## Searching

[Queries Function - Searching](../front-end-development/queries#searching){.link}
